<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SpaceFighter2020: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SpaceFighter2020
   </div>
   <div id="projectbrief">This documentation reffers to the game Space Fighter 2020 created for pa2 course. Game is side-scrolling shooter where the goal is to get on the end of the level and kill as much as enemy ships as possible. Player can pick up bonuses for repairing point of health or upgrading his weapons.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Enemy Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classEnemy.html">Enemy</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classEnemy.html#a59c9fcc0c3f927e15060a61b4753b1b3">BonusRoll</a>()</td><td class="entry"><a class="el" href="classEnemy.html">Enemy</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classObject.html#a5b25442efcce1e5768e3790b36accd1a">Clear</a>()</td><td class="entry"><a class="el" href="classObject.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classEnemy.html#ac4582c2a7ccffc4dd2b8fd1d43017c33">CollideWith</a>(GameObject *collisionObject) override</td><td class="entry"><a class="el" href="classEnemy.html">Enemy</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classEnemy.html#a42ec023b4093dcc4d68a7c9f9137d5a5">Damage</a>(const int &amp;dmg) override</td><td class="entry"><a class="el" href="classEnemy.html">Enemy</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classObject.html#adc113651aab71178e254d7d7f3b1e53b">Destroy</a>()</td><td class="entry"><a class="el" href="classObject.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classEnemy.html#a2088aa94084a3c64c45f163e44503941">Enemy</a>(const int &amp;x, const int &amp;y)</td><td class="entry"><a class="el" href="classEnemy.html">Enemy</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classObject.html#ab04c46e902c454a25751f900948d6d5e">ForcedRender</a>()</td><td class="entry"><a class="el" href="classObject.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGameObject.html#a0348e3ee2e83d56eafca7a3547f432c4">GameObject</a>()</td><td class="entry"><a class="el" href="classGameObject.html">GameObject</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGameObject.html#acbf0266f9230693a470181d4ee9ef9e8">GetBoundHeight</a>()</td><td class="entry"><a class="el" href="classGameObject.html">GameObject</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGameObject.html#afe84ab4b266362535372065ed0aacdfb">GetBoundWidth</a>()</td><td class="entry"><a class="el" href="classGameObject.html">GameObject</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classEntity.html#ae1d1d591b332c37c5fab7d8ce60acfc0">GetHealth</a>()</td><td class="entry"><a class="el" href="classEntity.html">Entity</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGameObject.html#a24428667f904a6445594d884476c67ac">GetMoveDirHorizontal</a>()</td><td class="entry"><a class="el" href="classGameObject.html">GameObject</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classObject.html#ad644b8a35c64ade4e15b3e33a2a5d77f">GetX</a>() const</td><td class="entry"><a class="el" href="classObject.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classObject.html#a65d30f9f3b22ed328cb24482ed4ba896">GetY</a>() const</td><td class="entry"><a class="el" href="classObject.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classEntity.html#ab04e6b564dfedd4641e8df53970e1fbf">InitWeapon</a>()=0</td><td class="entry"><a class="el" href="classEntity.html">Entity</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGameObject.html#a8133e4ab74ef92b50c14c18382b2397e">Intersects</a>(GameObject *obj)</td><td class="entry"><a class="el" href="classGameObject.html">GameObject</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classObject.html#ae0e2dd4a28a6327bad26b43e8101e1d9">isMarked</a>() const</td><td class="entry"><a class="el" href="classObject.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGameObject.html#a478d95fa66433fb8b63e1de62df32a05">m_BoundBoxHeight</a></td><td class="entry"><a class="el" href="classGameObject.html">GameObject</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGameObject.html#a2831bbdeef51b7dec1c886a3792a5021">m_BoundBoxWidth</a></td><td class="entry"><a class="el" href="classGameObject.html">GameObject</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGameObject.html#abc176e5a277e67b70ba1d2292ade28c7">m_DiagonalCounter</a></td><td class="entry"><a class="el" href="classGameObject.html">GameObject</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classEntity.html#aa4cb7571a862fe9c5170dce0845b8d0b">m_Health</a></td><td class="entry"><a class="el" href="classEntity.html">Entity</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGameObject.html#a06399d2e83dbed0bbcdd23a45708e743">m_LastMovementAt</a></td><td class="entry"><a class="el" href="classGameObject.html">GameObject</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classObject.html#a20bdbcf7662f94b783461df61f1dead2">m_MarkForDestruction</a></td><td class="entry"><a class="el" href="classObject.html">Object</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGameObject.html#a18cf227e1f9b1246ad72e555060f5602">m_MovementSpeed</a></td><td class="entry"><a class="el" href="classGameObject.html">GameObject</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classObject.html#aa080149410482bbf134f663f0eec478a">m_PositionChanged</a></td><td class="entry"><a class="el" href="classObject.html">Object</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classEnemy.html#afba0cb1bba4839d19a4ea80dacbf5bcf">m_ScoreValue</a></td><td class="entry"><a class="el" href="classEnemy.html">Enemy</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classObject.html#ab3f832ee25ca13bad87645c44c7019e3">m_Sprite</a></td><td class="entry"><a class="el" href="classObject.html">Object</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGameObject.html#a4cfd998f5afb701fdd721c5e5a00897b">m_VectX</a></td><td class="entry"><a class="el" href="classGameObject.html">GameObject</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGameObject.html#aebfa0ceffe82ed29b0fd2ef37050e992">m_VectY</a></td><td class="entry"><a class="el" href="classGameObject.html">GameObject</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classEntity.html#a636d319a245a619c34290aafe061db7f">m_Weapon</a></td><td class="entry"><a class="el" href="classEntity.html">Entity</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classObject.html#a995c8304abf2e3fd8fb29b59ab1048cc">m_X</a></td><td class="entry"><a class="el" href="classObject.html">Object</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classObject.html#a1e33bf8f94303c821e0036975f1f9e44">m_Y</a></td><td class="entry"><a class="el" href="classObject.html">Object</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classObject.html#a40860402e64d8008fb42329df7097cdb">Object</a>()</td><td class="entry"><a class="el" href="classObject.html">Object</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGameObject.html#a68ce660066e5dbc9c1ac9be4fabc558f">ObjectMove</a>()</td><td class="entry"><a class="el" href="classGameObject.html">GameObject</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGameObject.html#a209b156ef8eec011eba664f3987d4ff7">OnBorderCollision</a>()</td><td class="entry"><a class="el" href="classGameObject.html">GameObject</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classObject.html#a2199afbf2f52ff746c4c871e434ff20f">Render</a>()</td><td class="entry"><a class="el" href="classObject.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGameObject.html#afd237fc51b336232cd5d97ca0a3266ec">SetBoundBox</a>(int Width, int Height)</td><td class="entry"><a class="el" href="classGameObject.html">GameObject</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classEntity.html#a665dc0ca1dc7018e36645156848d9397">SetHealth</a>(const int &amp;health)</td><td class="entry"><a class="el" href="classEntity.html">Entity</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGameObject.html#a14a2649fb1de4e3e705fb54df2df8f9b">SetMovementVector</a>(int vx, int vy)</td><td class="entry"><a class="el" href="classGameObject.html">GameObject</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classObject.html#a6cac457fe1568b09a7f510654245972e">SetSprite</a>(const std::string &amp;spr)</td><td class="entry"><a class="el" href="classObject.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classEntity.html#a91cd0f86409513098d548228466eb6d7">SetupStats</a>()=0</td><td class="entry"><a class="el" href="classEntity.html">Entity</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classObject.html#a209e2a1b3e3a30a11d1d8595a0147ffb">SetXY</a>(int x, int y)</td><td class="entry"><a class="el" href="classObject.html">Object</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classEnemy.html#a614ad271f07ecf63cb3e665155b7e258">Update</a>() override</td><td class="entry"><a class="el" href="classEnemy.html">Enemy</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classEnemy.html#a44cdcdae0c7341918adbcfb7489d6b1f">Visit</a>(CollisionVisitor *visitor) override</td><td class="entry"><a class="el" href="classEnemy.html">Enemy</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classEntity.html#adf6d3f7cb1b2ba029b6b048a395cc8ae">~Entity</a>()</td><td class="entry"><a class="el" href="classEntity.html">Entity</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classGameObject.html#a224d4f6d9dd75c8a6f9d022eaf586fd9">~GameObject</a>()</td><td class="entry"><a class="el" href="classGameObject.html">GameObject</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
